<?php
// script para comprobar instalacin. Necesita en el mismo directorio los ficheros:
// - Cipher.php
// - apl.crt
// - apl.key
error_reporting(E_ALL);
include_once 'PEAR.php';
require_once 'Auth.php';
include_once 'Auth/Container.php';
include_once 'Cipher.php';
include_once 'MDB2.php';


echo 'PEAR: '.(class_exists('PEAR')? 'Ok': '-').'<br>';
echo 'Auth: '.(class_exists('Auth')? 'Ok': '-').'<br>';
echo 'MDB2: '.(class_exists('MDB2')? 'Ok': '-').'<br>';
$mdb2 = MDB2::factory('mysql://xx:xx@localhost/xx', array());
echo 'MDB2_Driver_mysql: '.(class_exists('MDB2_Driver_mysql')? 'Ok': '-').'<br>';
//MDB2_Driver_mysql 
$cryp = false;
if (function_exists('mcrypt_create_iv')) {
	$c = new Cipher('prueba');
	if ($c->decrypt($c->encrypt('algo'))=='algo')
		$cryp = true;
}
echo 'Crypt: '.($cryp? 'Ok': '-').'<br>';

$cd = false;
if (function_exists('openssl_private_decrypt')) {
	$public_key = file_get_contents('apl.crt');
	$token = 'algo';
	openssl_public_encrypt($token,$cifrar,$public_key);
	$encoded = base64_encode($cifrar);
	$private_key = file_get_contents('apl.key');
	$user_crypt = base64_decode($encoded);
	if (!openssl_private_decrypt($user_crypt, $decrypted, $private_key))
		return 'Error en parmetros de autenticacin';
	if ($decrypted == 'algo')
		$cd = true;
}

echo 'Clave Publica/privada: '.($cd? 'Ok': '-').'<br>';
echo '<br>PHPINFO:';
phpinfo();
?>